org.apache.poi.ddf

## Class EscherShapePathProperty

- java.lang.Object
- - org.apache.poi.ddf.EscherProperty
  - - org.apache.poi.ddf.EscherSimpleProperty
    - - org.apache.poi.ddf.EscherShapePathProperty

- All Implemented Interfaces:
    GenericRecord

      public class EscherShapePathProperty
      extends EscherSimpleProperty

  Defines the constants for the various possible shape paths.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `CLOSED_CURVES`
    `static int` | `CLOSED_POLYGON`
    `static int` | `COMPLEX`
    `static int` | `CURVES`
    `static int` | `LINE_OF_STRAIGHT_SEGMENTS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EscherShapePathProperty(EscherPropertyTypes type, int shapePath)`
    `EscherShapePathProperty(short propertyNumber, int shapePath)` Create an instance of an escher shape path property.

  - ### Method Summary

    - ### Methods inherited from class org.apache.poi.ddf.EscherSimpleProperty

      `equals, getGenericProperties, getPropertyValue, hashCode, serializeComplexPart, serializeSimplePart`

    - ### Methods inherited from class org.apache.poi.ddf.EscherProperty

      `getGenericChildren, getGenericRecordType, getId, getName, getPropertyNumber, getPropertySize, isBlipId, isComplex, toString, toXml`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### LINE_OF_STRAIGHT_SEGMENTS

          public static final int LINE_OF_STRAIGHT_SEGMENTS

      See Also:
        Constant Field Values

    - #### CLOSED_POLYGON

          public static final int CLOSED_POLYGON

      See Also:
        Constant Field Values

    - #### CURVES

          public static final int CURVES

      See Also:
        Constant Field Values

    - #### CLOSED_CURVES

          public static final int CLOSED_CURVES

      See Also:
        Constant Field Values

    - #### COMPLEX

          public static final int COMPLEX

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### EscherShapePathProperty

          public EscherShapePathProperty(short propertyNumber,
                                         int shapePath)

      Create an instance of an escher shape path property.
      Parameters:
        `propertyNumber` -
        `shapePath` -

    - #### EscherShapePathProperty

          public EscherShapePathProperty(EscherPropertyTypes type,
                                         int shapePath)

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.